Skip to content

Remove cards from a folder

DELETE/v1/folders/{folderId}/cards
Authorization
AuthorizationBearer token (OAuth access token or teakapi_ API key) · headerrequired

Bearer token. Accepts either an OAuth 2.0 access token (obtained via browser sign-in; expires after 1 hour and is refreshable) or a teakapi_ API key.

Path parameters
folderIdstringrequired
Request body
requiredapplication/json
cardIdsstring[]required
min items 1 · max items 100
Responses
200

Per-card results

updatedIdsstring[]required
failedIdsstring[]required

Cards left unchanged: missing, another account's, or (when adding) already in the most folders a card can be in.

folderLimitIdsstring[]required

Failed cards that are already in 50 folders.

404

Folder not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X DELETE 'https://teakvault.com/api/v1/folders/string/cards' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "cardIds": [
    "string"
  ]
}'
Response
{
  "updatedIds": [
    "string"
  ],
  "failedIds": [
    "string"
  ],
  "folderLimitIds": [
    "string"
  ]
}